Per chi usa smarty

Per chi usa smarty nelle versioni precedenti la 2.6.19 faccio notare che queste hanno un grave bug relativamente al modulo che verifica e controlla le regex.

... 
22 22  */
23 23 function smarty_modifier_regex_replace($string, $search, $replace)
24 24 {
   25 + if (($pos = strpos($search,"\0")) !== false)
   26 +  $search = substr($search,0,$pos);
25 27 if (preg_match('!([a-zA-Z\s]+)$!s', $search, $match) && (strpos($match[1], 'e') !== false)) {
26 28     /* remove eval-modifier from $search */
27 29  $search = substr($search, 0, -strlen($match[1])) . preg_replace('![e\s]+!', '', $match[1]);
...

insomma passate alla versione superiore la 2.6.19

http://code.google.com/p/smarty-php/source/detail?r=2750#

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=469492

inviato 8 anni fa
Marco Grazia
X 0 X
Effettua l'accesso o registrati per rispondere a questa domanda